<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/ActionComponents/CASingleUseQuantityEdible.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d0e/_c_a_single_use_quantity_edible_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CASingleUseQuantityEdible.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d0e/_c_a_single_use_quantity_edible_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/d50/class_c_a_single_use_quantity_edible.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d50/class_c_a_single_use_quantity_edible.html">CASingleUseQuantityEdible</a> : <a class="code hl_class" href="../../de/d7a/class_c_a_single_use_quantity.html">CASingleUseQuantity</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/d50/class_c_a_single_use_quantity_edible.html#af1b11b63dc622738219e69fa0817c101">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d50/class_c_a_single_use_quantity_edible.html#af1b11b63dc622738219e69fa0817c101">CASingleUseQuantityEdible</a>( <span class="keywordtype">float</span> quantity_used_per_action )</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../de/d7a/class_c_a_single_use_quantity.html#ab11f050cee73e41f8d52d76fd2c810bb">m_QuantityUsedPerAction</a> = quantity_used_per_action;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/d50/class_c_a_single_use_quantity_edible.html#ad93ff610993a2c192d81c37bb90fa968">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d50/class_c_a_single_use_quantity_edible.html#ad93ff610993a2c192d81c37bb90fa968">CalcAndSetQuantity</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {   </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/d7a/class_c_a_single_use_quantity.html#aa80f67bcda375e8f1dc3497de3bd4572">m_SpentUnits</a> )</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>            <a class="code hl_variable" href="../../de/d7a/class_c_a_single_use_quantity.html#aa80f67bcda375e8f1dc3497de3bd4572">m_SpentUnits</a>.param1 = <a class="code hl_variable" href="../../de/d7a/class_c_a_single_use_quantity.html#ab11f050cee73e41f8d52d76fd2c810bb">m_QuantityUsedPerAction</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            <a class="code hl_function" href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">SetACData</a>(<a class="code hl_variable" href="../../de/d7a/class_c_a_single_use_quantity.html#aa80f67bcda375e8f1dc3497de3bd4572">m_SpentUnits</a>);    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> ntarget = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">if</span> ( ntarget )</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() ) </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>                <span class="comment">//action_data.m_MainItem.Consume(ntarget, m_QuantityUsedPerAction);</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                ntarget.Consume(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, <a class="code hl_variable" href="../../de/d7a/class_c_a_single_use_quantity.html#ab11f050cee73e41f8d52d76fd2c810bb">m_QuantityUsedPerAction</a>, <a class="code hl_enumeration" href="../../d1/d4e/_e_consume_type_8c.html#af230be82f101928122c21edc61a2be95">EConsumeType</a>.ITEM_SINGLE_TIME);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() ) </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                <span class="comment">//action_data.m_MainItem.Consume(action_data.m_Player, m_QuantityUsedPerAction);</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.Consume(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, <a class="code hl_variable" href="../../de/d7a/class_c_a_single_use_quantity.html#ab11f050cee73e41f8d52d76fd2c810bb">m_QuantityUsedPerAction</a>, <a class="code hl_enumeration" href="../../d1/d4e/_e_consume_type_8c.html#af230be82f101928122c21edc61a2be95">EConsumeType</a>.ITEM_SINGLE_TIME);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>};</div>
<div class="ttc" id="a_e_consume_type_8c_html_af230be82f101928122c21edc61a2be95"><div class="ttname"><a href="../../d1/d4e/_e_consume_type_8c.html#af230be82f101928122c21edc61a2be95">EConsumeType</a></div><div class="ttdeci">EConsumeType</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4e/_e_consume_type_8c_source.html#l00001">EConsumeType.c:2</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a15caa3f387f97bbe79d18e4269dec382"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">CABase::SetACData</a></div><div class="ttdeci">void SetACData(Param units)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00040">CABase.c:40</a></div></div>
<div class="ttc" id="aclass_c_a_single_use_quantity_edible_html"><div class="ttname"><a href="../../da/d50/class_c_a_single_use_quantity_edible.html">CASingleUseQuantityEdible</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_c_a_single_use_quantity_edible_8c_source.html#l00001">CASingleUseQuantityEdible.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_single_use_quantity_edible_html_ad93ff610993a2c192d81c37bb90fa968"><div class="ttname"><a href="../../da/d50/class_c_a_single_use_quantity_edible.html#ad93ff610993a2c192d81c37bb90fa968">CASingleUseQuantityEdible::CalcAndSetQuantity</a></div><div class="ttdeci">override void CalcAndSetQuantity(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_c_a_single_use_quantity_edible_8c_source.html#l00008">CASingleUseQuantityEdible.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_single_use_quantity_edible_html_af1b11b63dc622738219e69fa0817c101"><div class="ttname"><a href="../../da/d50/class_c_a_single_use_quantity_edible.html#af1b11b63dc622738219e69fa0817c101">CASingleUseQuantityEdible::CASingleUseQuantityEdible</a></div><div class="ttdeci">void CASingleUseQuantityEdible(float quantity_used_per_action)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_c_a_single_use_quantity_edible_8c_source.html#l00003">CASingleUseQuantityEdible.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_single_use_quantity_html"><div class="ttname"><a href="../../de/d7a/class_c_a_single_use_quantity.html">CASingleUseQuantity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_c_a_single_use_quantity_8c_source.html#l00001">CASingleUseQuantity.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_single_use_quantity_html_aa80f67bcda375e8f1dc3497de3bd4572"><div class="ttname"><a href="../../de/d7a/class_c_a_single_use_quantity.html#aa80f67bcda375e8f1dc3497de3bd4572">CASingleUseQuantity::m_SpentUnits</a></div><div class="ttdeci">protected ref Param1&lt; float &gt; m_SpentUnits</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_c_a_single_use_quantity_8c_source.html#l00005">CASingleUseQuantity.c:5</a></div></div>
<div class="ttc" id="aclass_c_a_single_use_quantity_html_ab11f050cee73e41f8d52d76fd2c810bb"><div class="ttname"><a href="../../de/d7a/class_c_a_single_use_quantity.html#ab11f050cee73e41f8d52d76fd2c810bb">CASingleUseQuantity::m_QuantityUsedPerAction</a></div><div class="ttdeci">protected float m_QuantityUsedPerAction</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_c_a_single_use_quantity_8c_source.html#l00003">CASingleUseQuantity.c:3</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_a8e5ff2c2bb8b37380a7130140e2e6d3.html">ActionComponents</a></li><li class="navelem"><a class="el" href="../../d3/d0e/_c_a_single_use_quantity_edible_8c.html">CASingleUseQuantityEdible.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
